package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.QuestionInfo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 标签基础表 服务类
 * </p>
 *
 * @author zhoutg
 * @since 2018-11-15
 */
public interface QuestionInfoService extends IService<QuestionInfo> {

    /**
     *  根据参数获取标签信息
     * @param map 参数
     * @return
     */
    public QuestionInfo getByParam(Map map);


    /**
     *  根据questionMapping获取标签信息
     * @param map 参数
     * @return
     */
    public List<QuestionInfo> getByQuestionMapping(Map map);


    /**
     *  根据questionRelation获取标签信息
     * @param map 参数
     * @return
     */
    public List<QuestionInfo> getByQuestionRelation(Map map);
}
